% combine_wordie_GLs

load('merged_shelf_GLs_all.mat')
GL_list = dir('../../ice_shelf_masks_greene/Wordie/*_GL_*.shp');
for i = 1:numel(GL_list)
    S = shaperead([GL_list(i).folder '/' GL_list(i).name]);
    for j = 1:numel(S)
        if j == 1
            x_tmp = S(j).X(:);
            y_tmp = S(j).Y(:);
        else
            x_tmp = [x_tmp(:) ; S(j).X(:)];
            y_tmp = [y_tmp(:) ; S(j).Y(:)];
        end
    end
    x{i} = x_tmp(:);
    y{i} = y_tmp(:);
end

GL(169).X = x;
GL(169).Y = y;
save('merged_shelf_GLs_all.mat','GL');
